## netpipe 2.3

=== Makefile ===
#
# Makefile for NetPIPE
# $Id: Makefile,v 1.7 1998/09/24 16:03:49 ghelmer Exp $
#

# Default C compiler: must be an ANSI C compiler
CC         = cc
# File names for the main source files
DRIV_SRC   = netpipe.c
DRIV_OBJ   = netpipe.o
INCLUDES   = netpipe.h
# Default target is just TCP
TARGETS    = NPtcp
# If you have TCP, MPI and PVM
#TARGETS    = NPtcp NPmpi NPpvm
CFLAGS	   = -O
# Adjust these for MPI (only used if you have MPI)
MPI_HOME   = /home/mpich
MPI_ARCH   = IRIX
MPI_DEVICE = ch_p4
# Adjust these for PVM (only used if you have PVM)
PVM_HOME   = /home/pvm3
PVM_ARCH   = SUN4SOL2
# Any extra libraries needed
EXTRA_LIBS = 
#EXTRA_LIBS = -lgcc

targets:    $(TARGETS)

#
# This section of the Makefile is for compiling the binaries
#

TCP:	NPtcp

NPtcp:	NPtcp.o TCP.o
	$(CC) $(CFLAGS) NPtcp.o TCP.o  -o NPtcp $(EXTRA_LIBS)

NPtcp.o:	$(DRIV_SRC) $(INCLUDES)
	$(CC) $(CFLAGS) -DTCP -c -o NPtcp.o $(DRIV_SRC)

TCP.o:	TCP.c TCP.h $(INCLUDES)
	$(CC) $(CFLAGS) -DTCP -c TCP.c

MPI:	NPmpi

NPmpi:	NPmpi.o MPI.o
	$(CC) $(CFLAGS) NPmpi.o MPI.o -o NPmpi  -L $(MPI_HOME)/lib/$(MPI_ARCH)/$(MPI_DEVICE) -lmpi $(EXTRA_LIBS)

NPmpi.o:	$(DRIV_SRC) $(INCLUDES) 
	$(CC) $(CFLAGS) -DMPI -I$(MPI_HOME)/include -c -o NPmpi.o $(DRIV_SRC)

MPI.o:	MPI.c MPI.h $(INCLUDES)
	$(CC) $(CFLAGS) -DMPI -I$(MPI_HOME)/include -c MPI.c

PVM:	NPpvm

NPpvm:	NPpvm.o PVM.o
	$(CC) $(CFLAGS) NPpvm.o PVM.o -o NPpvm  -L$(PVM_HOME)/lib/$(PVM_ARCH)/ -lpvm3 $(EXTRA_LIBS)

NPpvm.o:	$(DRIV_SRC) $(INCLUDES)
	$(CC) $(CFLAGS) -DPVM -I$(PVM_HOME)/include -c -o NPpvm.o $(DRIV_SRC)

PVM.o:	PVM.c PVM.h $(INCLUDES)
	$(CC) $(CFLAGS) -DPVM -I$(PVM_HOME)/include -c PVM.c

clean:
	rm -f $(TARGETS) *.o core a.out

## netpipe 2.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Makefile for NetPIPE
-# $Id: Makefile,v 1.7 1998/09/24 16:03:49 ghelmer Exp $
+# $Id: Makefile,v 1.8 1999/04/27 21:03:25 ghelmer Exp $
 #
 
 # Default C compiler: must be an ANSI C compiler
@@ -32,6 +32,7 @@
 #
 
 TCP:	NPtcp
+	@echo 'NPtcp has been built.'
 
 NPtcp:	NPtcp.o TCP.o
 	$(CC) $(CFLAGS) NPtcp.o TCP.o  -o NPtcp $(EXTRA_LIBS)
@@ -43,6 +44,7 @@
 	$(CC) $(CFLAGS) -DTCP -c TCP.c
 
 MPI:	NPmpi
+	@echo 'NPmpi has been built.'
 
 NPmpi:	NPmpi.o MPI.o
 	$(CC) $(CFLAGS) NPmpi.o MPI.o -o NPmpi  -L $(MPI_HOME)/lib/$(MPI_ARCH)/$(MPI_DEVICE) -lmpi $(EXTRA_LIBS)
@@ -54,6 +56,7 @@
 	$(CC) $(CFLAGS) -DMPI -I$(MPI_HOME)/include -c MPI.c
 
 PVM:	NPpvm
+	@echo 'NPpvm has been built.'
 
 NPpvm:	NPpvm.o PVM.o
 	$(CC) $(CFLAGS) NPpvm.o PVM.o -o NPpvm  -L$(PVM_HOME)/lib/$(PVM_ARCH)/ -lpvm3 $(EXTRA_LIBS)

## netpipe 3.7.2

=== debian/changelog ===
netpipe (3.7.2-9) unstable; urgency=medium

  * Bug fix: "FTBFS: ./src/mpi2.c:110:7: error: implicit declaration of
    function ‘sched_yield’ [-Werror=implicit-function-declaration]",
    thanks to Lucas Nussbaum (Closes: #1066522).

 -- Camm Maguire <camm@debian.org>  Tue, 09 Apr 2024 11:49:01 -0400

netpipe (3.7.2-8.1) unstable; urgency=medium

  * Non-maintainer upload
  * Drop netpipe-pvm (Closes: #1059653)

 -- Bastian Germann <bage@debian.org>  Sun, 21 Jan 2024 14:26:27 +0000

netpipe (3.7.2-8) unstable; urgency=medium

  * Accept NMUs
  * priority optional
  * update build-depends
  * Bug fix: "FTBFS: Errors while processing: openmpi-bin
    libopenmpi-dev:amd64 sbuild-build-depends-netpipe-dummy", thanks to
    Lucas Nussbaum (Closes: #924850).

 -- Camm Maguire <camm@debian.org>  Mon, 25 Mar 2019 12:44:58 +0000

netpipe (3.7.2-7.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libmpich-dev instead of libmpich2-dev.
  * Build the netpipe-openmpi package on arm64 and ppc64el. Closes: #746692.
  * Build using dpkg-buildflags.
  * Bump the standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 16 Jan 2016 14:58:54 +0100

netpipe (3.7.2-7.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace mpich2 by mpich. (Closes: #810512)

 -- Anton Gladky <gladk@debian.org>  Sat, 09 Jan 2016 12:46:32 +0100

netpipe (3.7.2-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix compilation against new mpich. (Closes: #808591)

 -- Anton Gladky <gladk@debian.org>  Sat, 26 Dec 2015 16:17:51 +0100

netpipe (3.7.2-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace build-depends libmpich2-dev by libmpich-dev. (Closes: #808080)

 -- Anton Gladky <gladk@debian.org>  Tue, 15 Dec 2015 21:13:41 +0100

netpipe (3.7.2-7) unstable; urgency=low

  * prioity set to extra

 -- Camm Maguire <camm@debian.org>  Thu, 10 May 2012 13:15:48 +0000

netpipe (3.7.2-6) unstable; urgency=low

  * mpich-bin -> mpich2 in netpipe-mpich2 depends.

 -- Camm Maguire <camm@debian.org>  Fri, 20 Apr 2012 13:30:26 +0000

netpipe (3.7.2-5) unstable; urgency=low

  * netpipe-pvm extra priority

 -- Camm Maguire <camm@debian.org>  Mon, 16 Apr 2012 17:46:01 +0000

netpipe (3.7.2-4) unstable; urgency=low

  * optional priority

 -- Camm Maguire <camm@debian.org>  Mon, 16 Apr 2012 15:51:58 +0000

netpipe (3.7.2-3) unstable; urgency=low

  * remove mpich dependency unless maintainer wants to preserve it.

 -- Camm Maguire <camm@debian.org>  Mon, 16 Apr 2012 13:55:23 +0000

netpipe (3.7.2-2) unstable; urgency=low

  * Priority: extra for override file

 -- Camm Maguire <camm@debian.org>  Thu, 12 Apr 2012 13:12:44 +0000

netpipe (3.7.2-1) unstable; urgency=low

  * New upstream release
  * lintian fixes

 -- Camm Maguire <camm@debian.org>  Wed, 11 Apr 2012 20:12:24 +0000

netpipe (3.7.1-2) unstable; urgency=low

  * reinstate legacy support for older mpi implementations still in use.

 -- Camm Maguire <camm@debian.org>  Mon, 02 Apr 2012 20:42:14 +0000

netpipe (3.7.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace deprecated MPI implementations with OpenMPI and MPICH2.
    (Closes: #571449)

 -- Nicholas Breen <nbreen@debian.org>  Wed, 14 Mar 2012 18:46:53 -0700

netpipe (3.7.1-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "debian/watch fails to report upstream&#39;s version", thanks
    to Raphael Geissert (Closes: #450010).

 -- Camm Maguire <camm@debian.org>  Wed, 06 Jan 2010 19:07:32 +0000

netpipe (3.6.2-2) unstable; urgency=low

  * Fix dependencies for mpich and lam transitions, Closes: #323744.
  * newer standards

 -- Camm Maguire <camm@enhanced.com>  Fri,  7 Oct 2005 14:18:20 +0000

netpipe (3.6.2-1) unstable; urgency=high

  * New upstream release

 -- Camm Maguire <camm@enhanced.com>  Tue, 26 Oct 2004 20:28:24 +0000

netpipe (3.6-4) unstable; urgency=low

  * 
  * Bug fix: "netpipe-tcp: invalid option -P", thanks to Kevin Turner
    (Closes: #251160). New manpage from upstream elides -P option.
  * Bug fix: "netpipe-tcp: option -t requires an argument", thanks to
    Kevin Turner (Closes: #251162). New manpage from upstrream elides
    obsolete -t option.
  * Bug fix: "option -r misdocumented in manpage", thanks to Kevin Turner
    (Closes: #251167). New manpage from upstream correctly documents -r
    option.
  * Bug fix: "netpipe-tcp: option -i misdocumented in manpage", thanks to
    Kevin Turner (Closes: #251169). New manpage from upstream correctly
    documents -i option.
  * Bug fix: "netpipe-tcp: output contains three columns, not five",
    thanks to Kevin Turner (Closes: #251619). New manpage from upstream
    correctly documents np.out file format.

 -- Camm Maguire <camm@enhanced.com>  Wed,  2 Jun 2004 13:43:28 +0000

netpipe (3.6-3) unstable; urgency=low

  * Earlier bug close misapplied, fix here.

 -- Camm Maguire <camm@enhanced.com>  Mon,  5 Apr 2004 20:30:19 +0000

netpipe (3.6-2) unstable; urgency=low

  * Bug fix: "netpipe-tcp: Option -P documented but not known", thanks to
    Stephane Bortzmeyer (Closes: #231882).  Edited manpages and netpipe.c

 -- Camm Maguire <camm@enhanced.com>  Mon,  5 Apr 2004 20:26:06 +0000

netpipe (3.6-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@enhanced.com>  Fri, 23 Jan 2004 03:33:34 +0000

netpipe (3.5-3) unstable; urgency=low

  * Build-depend on lam4-dev
  * Newer standards
  * debhelper compat level 4

 -- Camm Maguire <camm@enhanced.com>  Wed, 21 Jan 2004 21:02:27 +0000

netpipe (3.5-2) unstable; urgency=low

  * Applied 64bit safe patches, Closes: #214501

 -- Camm Maguire <camm@enhanced.com>  Tue, 14 Oct 2003 17:19:19 +0000

netpipe (3.5-1) unstable; urgency=low

  * New upstream release, Closes: #205285
  * Added netpipe_paper.ps to docs
  * Carried forward manpage from 2.4
  * Applied bounds checking patch to -o argument, Closes: #203488
  * Added NPlam2 executable



=== debian/control ===
Source: netpipe
Section: net
Priority: optional
Maintainer: Camm Maguire <camm@debian.org>
Build-Depends: lam4-dev ( >= 7.1.4-5 ),
 libopenmpi-dev,
 libmpich-dev,
 debhelper-compat ( = 13 )
Standards-Version: 4.3.0

Package: netpipe-tcp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Network performance tool using the TCP protocol
 NetPIPE is a protocol independent performance tool that encapsulates
 the best of ttcp and netperf and visually represents the network
 performance under a variety of conditions. By taking the end-to-end
 application view of a network, NetPIPE clearly shows the overhead
 associated with different protocol layers. NetPIPE answers such
 questions as: how soon will a given data block of size k arrive at its
 destination? Which network and protocol will transmit size k blocks
 the fastest? What is a given network's effective maximum throughput
 and saturation level?  Does there exist a block size k for which the
 throughput is maximized? How much communication overhead is due to the
 network communication protocol layer(s)? How quickly will a small (< 1
 kbyte) control message arrive, and which network and protocol are best
 for this purpose?
 .
 This package uses a raw TCP protocol to measure network performance.

Package: netpipe-lam
Architecture: any
Depends: lam-runtime, ${shlibs:Depends}, ${misc:Depends}
Description: Network performance tool using LAM MPI
 NetPIPE is a protocol independent performance tool that encapsulates
 the best of ttcp and netperf and visually represents the network
 performance under a variety of conditions. By taking the end-to-end
 application view of a network, NetPIPE clearly shows the overhead
 associated with different protocol layers. NetPIPE answers such
 questions as: how soon will a given data block of size k arrive at its
 destination? Which network and protocol will transmit size k blocks
 the fastest? What is a given network's effective maximum throughput
 and saturation level?  Does there exist a block size k for which the
 throughput is maximized? How much communication overhead is due to the
 network communication protocol layer(s)? How quickly will a small (< 1
 kbyte) control message arrive, and which network and protocol are best
 for this purpose?
 .
 This package measures network performance using the MPI protocol, a
 Message Passing Interface frequently used in parallel processing, and 
 which uses in turn TCP as its underlying transport.   The implementation
 of the MPI standard used by this package is that provided by the lam set
 of packages.

Package: netpipe-openmpi
Architecture: alpha amd64 armel armhf arm64 i386 ia64 powerpc powerpcspe ppc64el sparc sparc64 kfreebsd-i386 kfreebsd-amd64  hurd-i386
Depends: openmpi-bin, ${shlibs:Depends}, ${misc:Depends}
Description: Network performance tool using OpenMPI
 NetPIPE is a protocol independent performance tool that encapsulates
 the best of ttcp and netperf and visually represents the network
 performance under a variety of conditions. By taking the end-to-end
 application view of a network, NetPIPE clearly shows the overhead
 associated with different protocol layers. NetPIPE answers such
 questions as: how soon will a given data block of size k arrive at its
 destination? Which network and protocol will transmit size k blocks
 the fastest? What is a given network's effective maximum throughput
 and saturation level?  Does there exist a block size k for which the
 throughput is maximized? How much communication overhead is due to the
 network communication protocol layer(s)? How quickly will a small (< 1
 kbyte) control message arrive, and which network and protocol are best
 for this purpose?
 .
 This package measures network performance using the MPI protocol, a
 Message Passing Interface frequently used in parallel processing, and 
 which uses in turn TCP as its underlying transport.   The implementation
 of the MPI standard used by this package is that provided by the openmpi
 set of packages.

Package: netpipe-mpich2
Architecture: any
Depends: mpich, ${shlibs:Depends}, ${misc:Depends}
Description: Network performance tool using MPICH2 MPI
 NetPIPE is a protocol independent performance tool that encapsulates
 the best of ttcp and netperf and visually represents the network
 performance under a variety of conditions. By taking the end-to-end
 application view of a network, NetPIPE clearly shows the overhead
 associated with different protocol layers. NetPIPE answers such
 questions as: how soon will a given data block of size k arrive at its
 destination? Which network and protocol will transmit size k blocks
 the fastest? What is a given network's effective maximum throughput
 and saturation level?  Does there exist a block size k for which the
 throughput is maximized? How much communication overhead is due to the
 network communication protocol layer(s)? How quickly will a small (< 1
 kbyte) control message arrive, and which network and protocol are best
 for this purpose?
 .
 This package measures network performance using the MPI protocol, a
 Message Passing Interface frequently used in parallel processing, and 
 which uses in turn TCP as its underlying transport.   The implementation
 of the MPI standard used by this package is that provided by the mpich
 package.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Also some stuff taken from debmake scripts, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
#export DH_COMPAT=1

# OpenMPI is only supported on a subset of architectures at this time.
# This list should remain synced with the Build-Depends and the Architecture
# line of netpipe-openmpi in debian/control.

OPENMPI_ARCH    = alpha amd64 armel armhf arm64 i386 ia64 powerpc powerpcspe ppc64el sparc sparc64 kfreebsd-i386 kfreebsd-amd64 hurd-i386
DEB_HOST_ARCH  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
CC := cc $(LDFLAGS)
CFLAGS := $(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CFLAGS)

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	$(MAKE) tcp CC="$(CC)" CFLAGS="$(CFLAGS)"
	cp debian/netpipe.1 NPtcp.1
	$(MAKE) mpi MPICC="mpicc.lam $(LDFLAGS)" CC="$(CC)" CFLAGS="$(CFLAGS)"
	mv NPmpi NPlam
	cp debian/netpipe.1 NPlam.1
ifneq (,$(findstring $(DEB_HOST_ARCH),$(OPENMPI_ARCH)))
	$(MAKE) mpi MPICC="mpicc.openmpi $(LDFLAGS)" CC="$(CC)" CFLAGS="$(CFLAGS)"
	mv NPmpi NPopenmpi
	cp debian/netpipe.1 NPopenmpi.1
endif
	# $(MAKE) mpi MPICC=mpicc.mpich
	# mv NPmpi NPmpich
	# cp debian/netpipe.1 NPmpich.1
	$(MAKE) mpi MPICC="mpicc.mpich $(LDFLAGS)" CC="$(CC)" CFLAGS="$(CFLAGS)"
	mv NPmpi NPmpich2
	cp debian/netpipe.1 NPmpich2.1

#	MPI2_INC not necessary, but must not be empty
	$(MAKE) mpi2 MPI2CC="mpicc.lam $(LDFLAGS)" MPI2_INC=./ CC="$(CC)" CFLAGS="$(CFLAGS)"
	mv NPmpi2 NPlam2
	cp debian/netpipe.1 NPlam2.1
ifneq (,$(findstring $(DEB_HOST_ARCH),$(OPENMPI_ARCH)))
	$(MAKE) mpi2 MPI2CC="mpicc.openmpi $(LDFLAGS)" MPI2_INC=./ CC="$(CC)" CFLAGS="$(CFLAGS)"
	mv NPmpi2 NPopenmpi2
	cp debian/netpipe.1 NPopenmpi2.1
endif

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	$(MAKE) clean
	for i in tcp lam lam2 openmpi openmpi2 mpich mpich2; do rm -f NP$${i}*; done
	# rm -f NPtcp.1 NPlam.1 NPopenmpi.1 NPmpich.1 NPmpich2.1 NPopenmpi2.1
	# rm -f NPtcp NPopenmpi NPmpich NPopenmpi2 NPlam2 NPmpich2 NPlam

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	mkdir -p debian/tmp/usr/bin
	cp NPtcp NPlam NPlam2 NPmpich2 `pwd`/debian/tmp/usr/bin # NPmpich
ifneq (,$(findstring $(DEB_HOST_ARCH),$(OPENMPI_ARCH)))
	cp NPopenmpi NPopenmpi2 `pwd`/debian/tmp/usr/bin
endif

	dh_movefiles
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installmenu -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installinit -i
	dh_installcron -i
#	dh_installmanpages -i
	dh_installinfo -i
#	dh_undocumented
	dh_installchangelogs -i 
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
#	dh_perl -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installinit -a
	dh_installcron -a
	dh_installman -a
#	dh_installmanpages -pnetpipe-openmpi NPtcp.1 NPmpich.1 netpipe.1
#	dh_installmanpages -pnetpipe-tcp  NPmpich.1 NPopenmpi.1 NPopenmpi2.1 netpipe.1
#	dh_installmanpages -pnetpipe-mpich NPtcp.1  NPopenmpi.1 NPopenmpi2.1 netpipe.1
	dh_installinfo -a
#	dh_undocumented
	dh_installchangelogs -a 
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
#	dh_makeshlibs -a
#	dh_perl -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary:  binary-arch
.PHONY: build clean binary-indep binary-arch binary install
